// Description: This file contains the tutorials object and the function
//to update the tutorials list based on the selected camp type

const tutorials = {
  gpt3: [
    {
      title: "نحوه استفاده از OpenAI GPT3 در وردپرس",
      url: "https://www.youtube.com/watch?v=cBfhaq1-BuQ",
    },
    {
      url: "https://valvepress.com/how-to-increase-content-length-of-generated-openai-chatgpt-content-on-wordpress-automatic-plugin/",
      title:
      "نحوه افزایش طول محتوای محتوای OpenAI ChatGPT تولید شده در افزونه خودکار وردپرس",
    },
  ],
  Articles: [],
  Feeds: [
    {
      title: "نحوه وارد کردن از RSS به وردپرس",
      url: "https://www.youtube.com/watch?v=YgN5Hv3eJms",
    },
    {
      title: "نحوه وارد کردن از فیدهای RSS محافظت شده با Cloudflare",
      url: "https://valvepress.com/how-to-import-from-rss-feeds-protected-with-cloudflare/",
    },
    {
      url: "https://valvepress.com/how-to-auto-post-google-news-to-wordpress/",
      title: "نحوه پست خودکار Google News در وردپرس",
    },
    { url: "https://youtu.be/vPTNRBcWvDY", title: "نحوه وارد کردن استوری های وب" },
    {
      url: "https://valvepress.com/how-to-import-from-a-specific-category-in-an-rss-feed/",
      title: "نحوه وارد کردن از یک دسته خاص در فید RSS",
    },
    {
      url: "https://valvepress.com/how-to-import-from-any-website-to-wordpress-in-multiple-languages/",
      title:
       "نحوه وارد کردن از هر وب سایت به وردپرس به چندین زبان",
    },
    {
      url:"https://valvepress.com/how-to-extract-a-substring-before-or-after-a-specific-string-in-wordpress-automatic-plugin/",
      title:"نحوه استخراج یک زیر رشته قبل یا بعد از یک رشته خاص در افزونه وردپرس اتوماتیک",
    },
    {
      url: "https://valvepress.com/how-to-categorize-wordpress-posts-using-chatgpt-automatically-trick/",
      title:
    "نحوه دسته بندی پست های وردپرس با استفاده از ChatGPT به صورت خودکار [ترفند]"
    },
  ],
  Amazon: [
    {
      title: "نحوه وارد کردن از آمازون به وردپرس",
      url: "https://www.youtube.com/watch?v=RlXYMAP_qlw",
    },
    {
      url: "https://valvepress.com/how-to-import-specific-amazon-products-to-wordpress-using-wordpress-automatic-plugin/",
      title:
      "نحوه وارد کردن محصولات خاص آمازون به وردپرس با استفاده از افزونه وردپرس اتوماتیک",
    },
    {
      title:
      "نحوه وارد کردن تمام محصولات لیست آرزوهای آمازون به وردپرس با استفاده از وردپرس اتوماتیک",
      url: "https://www.youtube.com/watch?v=LpTgZRRIXJI",
    },

    {
      title: "چگونه محصولات آمازون را از یک کشور خاص وارد کنیم",
      url: "https://valvepress.com/how-to-import-amazon-products-from-a-specific-country-using-wordpress-automatic/",
    },

    {
      url: "https://valvepress.com/how-to-replace-your-old-amazon-associate-id-with-a-new-id-on-posts-products/",
      title:
      "چگونه شناسه قدیمی Amazon Associate خود را با یک شناسه جدید در پست ها / محصولات جایگزین کنید",
    },
    {
      url: "https://valvepress.com/how-to-import-amazon-products-from-a-specific-category-using-wordpress-automatic/",
      title:
       "نحوه وارد کردن محصولات آمازون از یک دسته خاص با استفاده از وردپرس خودکار",
    },
    {
      url: "https://valvepress.com/how-to-import-amazon-products-that-are-on-sale-to-wordpress-and-skip-not-on-sale/",
      title:
      "چگونه محصولات آمازون را که در حال فروش هستند به وردپرس وارد کنیم و از فروش خارج شویم",
    },
  ],
  Aliexpress: [
    {
      title: "نحوه ارسال خودکار محصولات AliExpress در وردپرس",
      url: "https://www.youtube.com/watch?v=Z9Z9Z9Z9Z9Z",
    },
  ],
  Clickbank: [
    {
      title: "نحوه وارد کردن از کلیک بانک به وردپرس در خلبان خودکار",
      url: "https://www.youtube.com/watch?v=SOQeKeHxaUk",
    },
  ],
  Youtube: [
    {
      title: "نحوه وارد کردن از یوتیوب به وردپرس",
      url: "https://www.youtube.com/watch?v=UzR5WZq3Ad8",
    },
    {
      title:
        "نحوه وارد کردن متن ویدیوی یوتیوب به وردپرس و تولید محتوای OpenAI GPT از آن",
      url: "https://www.youtube.com/watch?v=Ywa7DQ1oWZA",
    },
    {
      url: "https://valvepress.com/how-to-import-trending-youtube-videos-to-wordpress/",
      title: "نحوه وارد کردن ویدیوهای پرطرفدار یوتیوب به وردپرس",
    },
    {
      url: "https://valvepress.com/how-to-display-videos-as-a-grid-in-wordpress/",
      title: "نحوه نمایش فیلم ها به صورت شبکه ای در وردپرس",
    },
    {
      url: "https://valvepress.com/how-to-auto-post-recent-videos-from-a-youtube-channel-to-wordpress/",
      title:
        "نحوه ارسال خودکار ویدیوهای اخیر از کانال یوتیوب به وردپرس",
    },
  ],
  Vimeo: [
    {
      title: "نحوه وارد کردن از Vimeo به وردپرس",
      url: "https://www.youtube.com/watch?v=DGVifWZt-yM",
    },
  ],
  Flicker: [
    {
      title: "نحوه وارد کردن از فلیکر به وردپرس",
      url: "https://www.youtube.com/watch?v=60DFsrdR_kM",
    },
  ],
  eBay: [
    {
      title: "نحوه وارد کردن از eBay به وردپرس",
      url: "https://www.youtube.com/watch?v=at7i9vQUhaE",
    },
  ],
  Spintax: [
    {
      title: "نحوه استفاده از Spintax در وردپرس اتوماتیک",
      url: "https://www.youtube.com/watch?v=B3wvS1Q43Jk",
    },
  ],
  Facebook: [
    {
      title: "نحوه وارد کردن از فیس بوک به وردپرس",
      url: "https://www.youtube.com/watch?v=H4ASv23s5Bg",
    },
  ],
  Pinterest: [
    {
      title: "نحوه وارد کردن از پینترست به وردپرس",
      url: "https://www.youtube.com/watch?v=V8CBQtt1pY8",
    },
  ],
  Instagram: [
    {
      title: "نحوه وارد کردن از اینستاگرام به وردپرس",
      url: "https://www.youtube.com/watch?v=ygO6nlVBPkQ",
    },
  ],
  TikTok: [
    {
      title: "نحوه وارد کردن ویدیوهای TikTok به وردپرس",
      url: "https://www.youtube.com/watch?v=TB64u0J1wz0",
    },
    {
      title:
        "نحوه ارسال ویدیوهای قدیمی TikTok به وردپرس با استفاده از افزونه خودکار",
      url: "https://valvepress.com/how-to-post-older-tiktok-videos-to-wordpress-using-automatic-plugin/",
    },
  ],
  Twitter: [
    {
      title: "نحوه وارد کردن از توییتر به وردپرس",
      url: "https://www.youtube.com/watch?v=uxmyfw4GptI",
    },
  ],
  SoundCloud: [
    {
      title: "نحوه وارد کردن از SoundCloud به وردپرس",
      url: "https://www.youtube.com/watch?v=3KED4jpdskc",
    },
  ],
  Craigslist: [
    {
      title: "نحوه وارد کردن از Craigslist به وردپرس",
      url: "https://www.youtube.com/watch?v=0G7FViAtdgg",
    },
  ],
  Itunes: [
    {
      title: "نحوه وارد کردن از iTunes به وردپرس",
      url: "https://www.youtube.com/watch?v=atNsWvKTtDk",
    },
  ],
  Envato: [
    {
      title: "نحوه وارد کردن از Envato به وردپرس",
      url: "https://www.youtube.com/watch?v=KOYP5uzN7LQ",
    },
  ],
  DailyMotion: [
    {
      title: "نحوه وارد کردن ویدیوهای DailyMotion به وردپرس",
      url: "https://www.youtube.com/watch?v=Jokhx79qoU8",
    },
  ],
  Reddit: [
    {
      title: "نحوه وارد کردن پست های Reddit به وردپرس",
      url: "https://www.youtube.com/watch?v=060myQMJoXI",
    },
  ],
  Walmart: [
    {
      title: "نحوه وارد کردن از والمارت به وردپرس",
      url: "https://www.youtube.com/watch?v=Cd2ODdH9Zpw",
    },
  ],
  Careerjet: [
    {
      title: "How to import from Careerjet to WordPress",
      url: "https://valvepress.com/how-to-auto-post-from-careerjet-to-wordpress-posts-careerjet-to-wordpress-plugin/",
    },
  ],
  Single: [
    {
      title: "نحوه وارد کردن از یک صفحه به پست وردپرس",
      url: "https://www.youtube.com/watch?v=zxM8CGRSi_w",
    },
  ],
  telegram: [
    {
  title:"نحوه وارد کردن از تلگرام به وردپرس",
      url: "https://valvepress.com/how-to-import-from-telegram-to-wordpress-posts-automatically/",
    },
  ],
  Multi: [
    {
      title: "واکشی چند صفحه ای",
      url: "https://www.youtube.com/watch?v=Q73nJaMkAH8",
    },
    {
      title: "ارسال محصولات از فروشگاه های آنلاین به ووکامرس",
      url: "https://valvepress.com/how-to-import-from-any-online-shop-to-wordpress-woocommerce-products/",
    },
    {
      url: "https://valvepress.com/how-to-import-from-sites-with-infinite-scroll-using-wordpress-automatic-plugin/",
      title:
        "نحوه وارد کردن از سایت هایی با اسکرول بی نهایت با استفاده از افزونه خودکار وردپرس",
    },
    {
      url: "https://valvepress.com/how-to-import-protected-sites-content-to-wordpress-automatically/",
      title: "نحوه وارد کردن خودکار محتوای سایت های محافظت شده به وردپرس",
    },
    {
      url: "https://valvepress.com/how-to-import-from-rss-feeds-protected-with-cloudflare/",
      title: "نحوه وارد کردن از سایت های محافظت شده با Cloudflare",
    },
    {
      url: "https://valvepress.com/sitemap-to-wordpress-posts/",
      title: "نحوه وارد کردن نقشه سایت به پست های وردپرس",
    },
    { url: "https://youtu.be/vPTNRBcWvDY", title: "نحوه وارد کردن استوری های وب" },
    {
      url: "https://valvepress.com/how-to-import-from-any-website-to-wordpress-in-multiple-languages/",
      title:
       "نحوه وارد کردن از هر وب سایت به وردپرس به چندین زبان",
    },
    {
      url: "https://valvepress.com/how-to-auto-post-from-google-trends-to-wordpress-posts/",
      title: "نحوه ارسال خودکار از Google Trends به پست های وردپرس",
    },
    {
      url: "https://valvepress.com/how-to-auto-post-from-google-realtime-search-trends-to-wordpress-posts/",
      title:
        "چگونه از گرایش های جستجوی Realtime گوگل به پست های وردپرس به صورت خودکار پست کنیم؟",
    },
    {
      url: "https://valvepress.com/how-to-extract-a-substring-before-or-after-a-specific-string-in-wordpress-automatic-plugin/",
      title:
      "نحوه استخراج یک زیر رشته قبل یا بعد از یک رشته خاص در افزونه وردپرس اتوماتیک",
    },
    {
      url: "https://valvepress.com/how-to-categorize-wordpress-posts-using-chatgpt-automatically-trick/",
      title:
    "نحوه دسته بندی پست های وردپرس با استفاده از ChatGPT به صورت خودکار [ترفند]"
    },
    {
      url: "https://valvepress.com/how-to-auto-post-links-from-google-sheets-to-wordpress-posts/",
    title:"نحوه ارسال خودکار لینک از Google Sheets به پست های وردپرس"
    },
  ],
  General: [
    {
      url: "https://youtu.be/cBfhaq1-BuQ?t=224",
      title: "نحوه ادغام OpenAI GPT-3/ChatGPT با هر ماژول",
    },
    {
      url: "https://valvepress.com/how-to-automatically-generate-yoast-rank-math-seo-description-using-openai-gpt/",
      title:
      "نحوه تولید خودکار توضیحات Yoast/Rank Math SEO با استفاده از OpenAI GPT",
    },
    {
      url: "https://valvepress.com/how-to-automatically-generate-wordpress-tags-using-openai-gpt-api/",
      title:
       "نحوه تولید خودکار برچسب های وردپرس با استفاده از OpenAI GPT API",
    },
    {
      url: "https://valvepress.com/wordpress-internal-cron-job-work-may-need-setup-external-cron/",
      title:
       "کار cron داخلی وردپرس ممکن است نیاز به راه اندازی cron خارجی داشته باشد",
    },

    {
      url: "https://valvepress.com/how-to-open-wordpress-external-links-in-a-popup/",
      title: "نحوه باز کردن لینک های خارجی وردپرس در یک پاپ آپ",
    },

    {
      url: "https://valvepress.com/how-to-know-used-custom-fields-names-by-wordpress-plugins-themes/",
      title: "نحوه شناخت نام فیلدهای سفارشی استفاده شده توسط افزونه ها/قالب های وردپرس",
    },

    {
      title: "نحوه تنظیم دسته اصلی برای پست هایی که به صورت خودکار وارد می شوند",
      url: "https://valvepress.com/how-to-set-the-primary-category-for-posts-imported-automatically/",
    },
    {
      url: "https://valvepress.com/how-to-format-dates-returned-from-wordpress-automatic/",
      title: "نحوه قالب بندی تاریخ های بازگشتی از وردپرس خودکار",
    },
    {
      url: "https://valvepress.com/how-to-post-contentiously-from-a-specific-campaign-at-wordpress-automatic/",
      title:
        "چگونه از یک کمپین خاص در وردپرس خودکار پست های پربحث ارسال کنیم",
    },
    {
      url: "https://valvepress.com/how-to-auto-post-to-wordpress-bbpress-forum-plugin/",
      title: "How to auto post to WordPress bbPress forum plugin",
    },
    {
      url: "https://valvepress.com/how-to-integrate-wordpress-automatic-plugin-with-internal-link-juicer-for-automatic-internal-links/",
      title:
        "How to integrate WordPress Automatic plugin with Internal Link Juicer for automatic internal links",
    },
  ],
};

jQuery(document).ready(function ($) {
  //function to update the current list of tutorials based on the selected camp type
  const update_tutorials = (selected) => {
    //get the matching tutorials
    const current_tutorials = tutorials[selected];

    //clear the tutorials
    jQuery("#tutorials").html("");

    //loop through the tutorials
    current_tutorials.forEach((tutorial) => {
      //create the html
      const html = `<li><a href="${tutorial.url}" target="_blank">${tutorial.title}</a></li>`;
      //append the html
      jQuery("#tutorials").append(html);
    });

    //get general tutorials
    const general_tutorials = tutorials["General"];

    //clear the general tutorials
    jQuery("#general_tutorials").html("");

    //loop through the general tutorials
    general_tutorials.forEach((tutorial) => {
      //get the value of the select with id named camp_type and set as the html of the span with class module_name
      jQuery(".module_name").html(jQuery("#camp_type").val());

      //create the html
      const html = `<li><a href="${tutorial.url}" target="_blank">${tutorial.title}</a></li>`;

      //append the html
      jQuery("#general_tutorials").append(html);
    });
  };

  //on page load, update the tutorials
  update_tutorials(jQuery("#camp_type").val());

  //on change of the camp type, update the tutorials
  jQuery("#camp_type").change(function () {
    //get the selected value
    var selected = jQuery(this).val();

    //log the selected value
    console.log("selected", selected);

    //update the tutorials
    update_tutorials(selected);
  });
});
