<?php

// Globals
global $post;
global $wpdb;
global $camp_general;
global $post_id;
global $camp_options;
global $post_types;

global $camp_post_category;

?>

<div class="TTWForm-container" dir="rtl">
	<div class="TTWForm">
		<div class="panes">

			<!--first tab-->
			<div class="contains">

				<div id="field1zz-container" class="field f_100">

					<label for="field1zz"> ارسال پست به این گروه </label><br><select style="height: 140px" class="no-unify" name="camp_post_category[]" id="field1zz" multiple>

<?php

// limited categories ids wp_automatic_spec_cats
//global $wp_automatic_spec_cats;
global $wp_automatic_spec_cats;

$wp_automatic_spec_cats = get_option('wp_automatic_spec_cats', '');

//trim 
$wp_automatic_spec_cats = wp_automatic_trim($wp_automatic_spec_cats);

// if not empty, explode by comma and set the array
if ($wp_automatic_spec_cats != '') {
	$wp_automatic_spec_cats = explode(',', $wp_automatic_spec_cats);

	// if not array, set empty array
	if (! is_array($wp_automatic_spec_cats)) {
		$wp_automatic_spec_cats = array();
	}
 
}

// Select categories arguments
$args = array (
		'orderby' => 'name',
		'order' => 'ASC',
		'hide_empty' => 0 
);

foreach ( $post_types as $post_type ) {
	
	// Get categories taxononomies
	$customPostTaxonomies = get_object_taxonomies ( $post_type );
	
	if (count ( $customPostTaxonomies ) > 0) {
		foreach ( $customPostTaxonomies as $tax ) {
			
			// If category list it's items
			if (is_taxonomy_hierarchical ( $tax )) {
				
				$hierarchical_tax = $tax; // for default tax
				
				$args = array (
						'hide_empty' => 0,
						'taxonomy' => $tax,
						'type' => $post_type 
				);
				
				$categories = get_categories ( $args );
				
				$parentCats = array ();
				$childCats = array ();
				$orderedCats = array ();
				
				// function to display categories
				
				// Get parent cats
				foreach ( $categories as $category ) {
					
					if ($category->parent == 0) {
						
						$parentCats [] = $category;
					} else {
						
						$childCats [$category->parent] [] = $category;
					}
				}
				
				// printing
				foreach ( $parentCats as $parentCat ) {
					wp_automatic_category ( $parentCat, $childCats, $tax, $post_type, $camp_post_category );
				}
			} // hiracial
		} // foreach taxonomy
	}
} // foreach post type

//default tax if no tax is already saved
if( ! isset($camp_general['cg_camp_tax']) || wp_automatic_trim($camp_general['cg_camp_tax']) == '' ){
	
	if(isset($hierarchical_tax) && wp_automatic_trim($hierarchical_tax) != '')
		$camp_general['cg_camp_tax'] = $hierarchical_tax;
}

?>
                </select> 
                
               
                
                <input id="cg_camp_tax" type="hidden" value="<?php   echo @$camp_general['cg_camp_tax'] ?>" name="cg_camp_tax" />

					<p>برای انتخاب کردن چندین گزینه، CTRL را نگه دارید.</p>

				</div>


				<div class="field f_100">
					<div class="option clearfix">

						<input name="camp_options[]" data-controls="keyword_to_cat" value="OPT_KEYWORD_CAT" type="checkbox"> <span class="option-title"> تبدیل کلمه کلیدی به دسته بندی </span> <br>

						<div id="keyword_to_cat" class="field f_100">
							<label for="field6"> Keyword|categoryId (در هرخط یکی) </label>
							<textarea name="cg_keyword_cat"><?php   echo wp_automatic_htmlentities($camp_general['cg_keyword_cat'],ENT_COMPAT, 'UTF-8' )  ?></textarea>
							
							<div class="option clearfix">
							   <input   name="camp_options[]"  value="OPT_KEYWORD_TTL" type="checkbox">
			                    <span class="option-title">
										عنوان را نیز بررسی کنید  
			                    </span>
			                    <br>
		                    </div>
		                    
		                    <div class="option clearfix">
			                    <input   name="camp_options[]"  value="OPT_KEYWORD_NO_CNT" type="checkbox">
			                    <span class="option-title">
										محتوا را بررسی نکنید
			                    </span>
			                    <br>
		                    </div>
		                    
		                    <div class="option clearfix">
			                    <input   name="camp_options[]"  value="OPT_KEYWORD_EXACT_NO" type="checkbox">
			                    <span class="option-title">
										تطابق دقیق عبارت (به طور پیش فرض، افزونه به دنبال یک کلمه است، این مورد را فعال کنید تا هر جایی که لازم نیست کلمه باشد بررسی شود)  
			                    </span>
			                    <br>
		                    </div>
		                    
		                    <div class="option clearfix">
			                    <input   name="camp_options[]"  value="OPT_KEYWORD_CAT_FORGET" type="checkbox">
			                    <span class="option-title">
										در صورت یافتن موارد منطبق ، از دسته های ثابت انتخاب شده در بالا صرف نظر کنید
			                    </span>
			                    <br>
		                    </div>
							
							<div class="description">
								این گزینه محتوای کلمه کلیدی را جستجو می کند و در صورت وجود ، گروه مجموعه را به پست اختصاص می دهد<br>
								<br>* به عنوان مثال اگر "راستچین | 5" را اضافه کرده باشید ، این پلاگین محتوا را بررسی می کند و اگر حاوی کلمه کلیدی "راستچین" باشد پست را به دسته ای که id = 5 است اختصاص می دهد<br>
								<br>* مثال 2 اگر "قند,رژیم غذایی | 5,6" را اضافه کنید ، این پلاگین محتوا را بررسی می کند و اگر حاوی کلمه کلیدی "قند" و کلمه کلیدی "رژیم غذایی" باشد ، پست را به دسته ای که id = 5 و همچنین دسته با id = 6 اختصاص میدهد.<br>
								<br>* برای شناسه صحیح عددی به دسته های بالا نگاه کنید
							</div>
							
							

						</div>

					</div>
				</div>


		<div  class="field f_100">
               <div class="option clearfix">
                    
                    <input name="camp_options[]" data-controls = "tags_c"  value="OPT_ADD_TAGS" type="checkbox">
                    <span class="option-title">
							ارسال ها را با برچسب های خاص برچسب گذاری کنید
                    </span>
                    <br>
                    
		            <div id="tags_c" class="field f_100">
		               <label for="field6">
		                    برچسب ها (در هرخط یکی)
		               </label>
		               
		            	<textarea name="cg_post_tags" ><?php   echo @$camp_general['cg_post_tags'] ?></textarea>
		            	
		            	<input name="camp_options[]" data-controls="random_tags_count"   value="OPT_RANDOM_TAGS" type="checkbox">
		            	
		            	<span class="option-title">
							به طور تصادفی برچسب ها را از جعبه انتخاب کنید
                    	</span>
                    	
                    	
                    	<div id="random_tags_count" class="field f_100">
				               <label for="field6">
				                   تعداد برچسب ها
				               </label>
				               
				                <input value="<?php   echo @$camp_general['cg_tags_limit']   ?>" max="1000" min="1" name="cg_tags_limit" required="required" id="random_tags_count_field" class="ttw-range range"
		               type="range">
				               
		            </div>
                    	
		            	
		            </div>
		            
               </div>
		 </div>
		 
		 
		<div id="field1zz-container" class="field f_100">
               <div class="option clearfix">
                    <input   name="camp_options[]" id="field2-1" value="OPT_TITLE_TAG" type="checkbox">
                    <span class="option-title">
							کلمات عنوان را به عنوان برچسب تنظیم کنید
                    </span>
                    <br>
               </div>
		 </div>
		 
		 
		 <div class="field f_100">
		 <div class="option clearfix">
                    
                    <input name="camp_options[]" data-controls="keyword_to_tag" value="OPT_KEYWORD_TAG" type="checkbox">
                    <span class="option-title">
							تبدیل کلمه کلیدی به برچسب
                    </span>
                    <br>
		            <div id="keyword_to_tag" class="field f_100">
		               <label for="field6">
		                    Keyword|tag (در هر خط یکی)
		               </label>
		               <textarea name="cg_keyword_tag" ><?php   echo wp_automatic_htmlentities($camp_general['cg_keyword_tag'] ,ENT_COMPAT, 'UTF-8' )  ?></textarea>
		           	
		           		<div class="option clearfix">
							   <input   name="camp_options[]"  value="OPT_KEYWORD_TTL_TAG" type="checkbox">
			                    <span class="option-title">
										عنوان را نیز بررسی کنید
			                    </span>
			                    <br>
		                    </div>
		                    
		                    <div class="option clearfix">
			                    <input   name="camp_options[]"  value="OPT_KEYWORD_NO_CNT_TAG" type="checkbox">
			                    <span class="option-title">
										محتوا را بررسی نکنید
			                    </span>
			                    <br>
		                    </div>
		           
		            	<div class="description">
		            		این گزینه محتوای کلمه کلیدی را جستجو می کند و در صورت وجود ، پست را با برچسب تنظیم شده برچسب گذاری می کند
		            		<br><br>* به عنوان مثال اگر "Messi | Sport" را بدون نقل قول اضافه کرده باشید ، این پلاگین محتوا را بررسی می کند و اگر حاوی کلمه کلیدی "Messi" باشد ، پست را با "Sport" برچسب گذاری می کند
		            		<br><br>* example2 اگر "Messi، barca | Sport، Barcelona" بدون نقل قول را اضافه کنید ، این پلاگین محتوا را بررسی می کند و اگر حاوی کلمه کلیدی "Messi" و&& "barca" باشد ، پست را با "Sport" و "Barcelona" برچسب گذاری می کند
		            	</div>
		            
		            </div>
		            
               </div>
          </div>  
          
          
          		 <div class="field f_100">
               <div class="option clearfix">
                    
                    <input name="camp_options[]" data-controls="taxonmy_c"   value="OPT_TAXONOMY_TAG" type="checkbox">
                    <span class="option-title">
							طبقه بندی سفارشی را برای برچسب ها تنظیم کنید (اگر از نوع پست سفارشی استفاده می کنید)
                    </span>
                    <br>
                    
		            <div id="taxonmy_c" class="field f_100">
		               <label for="field6">
		                    نام طبقه بندی
		               </label>
		               <input value="<?php   echo $camp_general['cg_tag_tax']   ?>" name="cg_tag_tax"  type="text">
		             	<div class="description">به صفحه برچسب ها بروید و مقدار طبقه بندی را بخوانید و در اینجا جای گذاری کنید. به عنوان مثال پیوند صفحه برچسب های محصولات ووکامرس شامل " taxonomy=product_tag&post_type=product" سپس طبقه بندی product_tag است</div>
		            </div>
		            
               </div>
		 </div>


			</div>
			<div class="clear"></div>
		</div>
	</div>
</div>
