<?php

// Globals
global $post;
global $wpdb;
global $camp_general;
global $post_id;
global $camp_options;
global $post_types;
global $camp_post_category;

?>

<div class="TTWForm-container" dir="rtl">
    <div class="TTWForm">
        <div class="panes">

            <p>اکنون می توانید از کد کوتاه [gpt] در قالب پست بالا استفاده کنید، در اینجا نمونه هایی وجود دارد:<br>

            <ol>
                <li><strong>[gpt]Summarize this content to 100 words [matched_content][/gpt]</strong>

                    <p>این باید محتوای مقاله را خلاصه کند و فقط 100 کلمه را بازگرداند</p>

                </li>
                <li><strong>[gpt]Write an article about [original_title] in French[/gpt]</strong>

                    <p>این باید یک مقاله به زبان فرانسوی در مورد عنوان بنویسد</p>


                </li>
                <li><strong>[gpt]rewrite this title [original_title][/gpt]</strong>

                    <p>این باید عنوان را بازنویسی کند</p>
                
                </li>
                <li><strong>[gpt]rewrite this content and keep HTML tags [matched_content][/gpt]</strong>

                    <p>این باید محتوا را بازنویسی کند و تگ های HTML را حفظ کند</p>

                 </li>



            </ol>

            </p>

            <!-- checkbox field to set the post status to pending if openai prompt failed -->
            <div class="field f_100">
                <div class="option clearfix">
                    <input name="camp_options[]" value="OPT_OPENAI_PENDING" type="checkbox">
                    <span class="option-title">
                        اگر درخواست OpenAI ناموفق بود، وضعیت پست را در حالت در انتظار قرار دهید
                    </span>
                    <br>
                    <div class="description">اگر می‌خواهید وضعیت پست مقاله روی حالت معلق تنظیم شود، اگر درخواست gpt3 به هر دلیلی شکست خورد، آن را فعال کنید.</div>
                </div>
                <div class="clear"></div>
            </div>

            <div class="field f_100">
                    <div class="option clearfix">
                        <input data-controls="wp_automatic_openai_advanced" name="camp_options[]" value="OPT_OPENAI_CUSTOM" type="checkbox">
                        <span class="option-title">
                            تغییر پارامترهای تماس OpenAI (پیشرفته)
                        </span>
                    </div>
                    
                    <div id="wp_automatic_openai_advanced" class = "field f_100">

                        <!-- model selection field -->
                        <label>
                            Model
                        </label>
                        
                        <!-- model selection field gpt3.5-turbo, 	gpt-4, gpt-4-0314, gpt-4-32k, gpt-4-32k-0314, gpt-3.5-turbo, gpt-3.5-turbo-0301 -->
                        <select name="cg_openai_model">
                            <option value="gpt-3.5-turbo" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-3.5-turbo' ? 'selected' : '' ?>>gpt-3.5-turbo (latest) (gpt-3.5-turbo-0125)</option>
                            <option value="gpt-3.5-turbo-1106" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-3.5-turbo-1106' ? 'selected' : '' ?>>gpt-3.5-turbo-1106 (old)</option>
                            <option value="gpt-3.5-turbo-16k" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-3.5-turbo-16k' ? 'selected' : '' ?>>gpt-3.5-turbo-16k (old)</option>
                            <option value="gpt-3.5-turbo-0613" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-3.5-turbo-0613' ? 'selected' : '' ?>>gpt-3.5-turbo-0613 (old)</option>
                            <option value="gpt-3.5-turbo-0301" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-3.5-turbo-0301' ? 'selected' : '' ?>>gpt-3.5-turbo-0301 (old)</option>
                            <option value="gpt-4" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4' ? 'selected' : '' ?>>gpt-4</option>
                            <option value="gpt-4-0314" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4-0314' ? 'selected' : '' ?>>gpt-4-0314</option>
                            <option value="gpt-4-32k" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4-32k' ? 'selected' : '' ?>>gpt-4-32k</option>
                            <option value="gpt-4-32k-0314" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4-32k-0314' ? 'selected' : '' ?>>gpt-4-32k-0314</option>
                            <option value="gpt-4-1106-preview" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4-1106-preview' ? 'selected' : '' ?>>gpt-4-1106-preview (old) (128k)</option>
                            <option value="gpt-4-turbo-preview" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4-turbo-preview' ? 'selected' : '' ?>>gpt-4-turbo-preview  (latest) (128k)</option>
                            <option value="gpt-4-0125-preview" <?php echo isset($camp_general['cg_openai_model']) && $camp_general['cg_openai_model'] == 'gpt-4-0125-preview' ? 'selected' : '' ?>>gpt-4-0125-preview (latest) (128k)</option>
                        </select>
                        <div class="description">مدل 3.5-turbo سریع‌ترین و ارزان‌ترین مدل است، مدل‌های دیگر برای همه قابل استفاده نیستند، آنها در نسخه بتا محدود هستند، بنابراین اگر در لیست انتظار درخواست نداده‌اید و قبلاً به آن دسترسی پیدا کرده‌اید، هیچ یک از آنها را انتخاب نکنید.</div>

                        <br>

                        <!-- temprature field -->                        
                        <label for="field6">
                            دما (اختیاری)
                        </label>
                        <input name="cg_openai_temp" value="<?php echo isset($camp_general['cg_openai_temp']) ?  $camp_general['cg_openai_temp']: '' ?>" type="text">
                        <div class="description">از چه دمای نمونه برداری استفاده شود، بین 0 و 2. مقادیر بالاتر مانند 0.8 خروجی را تصادفی تر می کند، در حالی که مقادیر پایین تر مانند 0.2 آن را متمرکزتر و قطعی تر می کند. پیش فرض 1 است</div>
                        
                        <br>

                        

                        <!-- top_p field -->
                        <label for="field6">
                            Top_p (اختیاری)
                        </label>
                        <input name="cg_openai_top_p" value="<?php echo isset($camp_general['cg_openai_top_p']) ?  $camp_general['cg_openai_top_p']: '' ?>" type="text">
                        <div class="description">جایگزینی برای نمونه برداری با دما، به نام نمونه برداری هسته، که در آن مدل نتایج توکن ها را با جرم احتمال top_p در نظر می گیرد. بنابراین 0.1 به این معنی است که فقط توکن هایی که 10 درصد جرم احتمالی بالایی را تشکیل می دهند در نظر گرفته می شوند.

ما به طور کلی توصیه می کنیم این یا دما را تغییر دهید اما نه هر دو. پیش فرض 1 است.</div>

                        <br>
                        <!-- presence_penalty field -->
                        <label>
                            جریمه حضور (اختیاری)
                        </label>
                        <input name="cg_openai_presence_penalty" value="<?php echo isset($camp_general['cg_openai_presence_penalty']) ?  $camp_general['cg_openai_presence_penalty']: '' ?>" type="text">
                        <div class="description">عدد بین -2.0 و 2.0. مقادیر مثبت، نشانه‌های جدید را بر اساس اینکه آیا تاکنون در متن ظاهر شده‌اند جریمه می‌کنند و احتمال صحبت مدل در مورد موضوعات جدید را افزایش می‌دهند. پیش‌فرض 0 است.</div>
                        <br>

                        <!-- frequency_penalty field -->
                        <label>
                            جریمه تکراری (اختیاری)
                        </label>
                        <input name="cg_openai_frequency_penalty" value="<?php echo isset($camp_general['cg_openai_frequency_penalty']) ?  $camp_general['cg_openai_frequency_penalty']: '' ?>" type="text">
                        <div class="description">عدد بین -2.0 و 2.0. مقادیر مثبت، نشانه‌های جدید را بر اساس فراوانی موجود در متن تا کنون جریمه می‌کنند و احتمال تکرار همان خط را در مدل کاهش می‌دهند. پیش‌فرض 0 است.</div>

                        <!-- Fine tuned model -->
                        <br>
                        <label>
                            مدل تنظیم دقیق (اختیاری)
                        </label>
                        <input name="cg_openai_fine_tuned_model" value="<?php echo isset($camp_general['cg_openai_fine_tuned_model']) ?  $camp_general['cg_openai_fine_tuned_model']: '' ?>" type="text">
                        <div class="description">اگر مدل دقیقی دارید می توانید از اینجا استفاده کنید، اگر ندارید این قسمت را خالی بگذارید.</div>

                        <!-- Dalle 3 image size select Must be one of 1024x1024, 1792x1024, or 1024x1792 -->
                        <br>
                        <label>
                            Dalle 3 image size (Optional)
                        </label>
                        <select name="cg_openai_dalle_image_size">
                            <option value="1024x1024" <?php echo isset($camp_general['cg_openai_dalle_image_size']) && $camp_general['cg_openai_dalle_image_size'] == '1024x1024' ? 'selected' : '' ?>>1024x1024</option>
                            <option value="1792x1024" <?php echo isset($camp_general['cg_openai_dalle_image_size']) && $camp_general['cg_openai_dalle_image_size'] == '1792x1024' ? 'selected' : '' ?>>1792x1024</option>
                            <option value="1024x1792" <?php echo isset($camp_general['cg_openai_dalle_image_size']) && $camp_general['cg_openai_dalle_image_size'] == '1024x1792' ? 'selected' : '' ?>>1024x1792</option>
                        </select>
                        

                    </div>
                     
                
                <div class="clear"></div>
            </div>


        </div>
    </div>
</div>